ToolzerHub Docs

List aircraft in the air now (v1)

Positions, altitude, speed, heading, route and registration of aircraft flying now, in a map area or filtered by airline, registration or flight number. Up to 1,500 per call.

1 credit / requestBilled only on success
GET
/v1/flightradar24/live

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

bounds?string

Map area as north,south,west,east latitudes and longitudes in degrees. Omit for the whole world.

Match^\s*-?\d+(?:\.\d+)?\s*(?:,\s*-?\d+(?:\.\d+)?\s*){3}$
Lengthlength <= 100
airline?string

Only this airline's aircraft: IATA or ICAO code such as BA or BAW. Find a code with the Search endpoint.

Match^[A-Za-z0-9]{2,3}$
registration?string

Only the aircraft with this registration, such as G-STBI.

Lengthlength <= 300
flight?string

Only the aircraft flying this flight number now, such as BA15.

Lengthlength <= 300
curl -X GET "https://example.com/v1/flightradar24/live" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "bounds": "51.7,51.3,-0.6,0.3",    "airline": null,    "registration": null,    "flight": null,    "tracked_worldwide": 20070,    "truncated": true,    "count": 43,    "aircraft": [      {        "flight_id": "42724ca3",        "flight_number": "BA361",        "callsign": "BAW42Y",        "registration": "G-DBCK",        "aircraft_code": "A319",        "hex": "400F9A",        "airline_icao": "BAW",        "origin_iata": "LYS",        "destination_iata": "LHR",        "latitude": 51.477,        "longitude": -0.5835,        "altitude_ft": 1050,        "ground_speed_kts": 129,        "heading": 88,        "vertical_speed_fpm": -832,        "squawk": null,        "on_ground": true,        "position_at": "2026-11-05T19:12:52Z"      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}